Name:           python-ecalic
Version:        1.0.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A package to handle CMS Ecal InterCalibration constants and Ecal geometry

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.cern.ch/cms-ecal-dpg/ecalic
Source:         %{pypi_source ecalic}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ecalic' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ecalic
Summary:        %{summary}

%description -n python3-ecalic %_description


%prep
%autosetup -p1 -n ecalic-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ecalic -f %{pyproject_files}


%changelog
%autochangelog